import pingparsing


def ping(host: str) -> pingparsing.PingStats:
    ping_parser = pingparsing.PingParsing()
    transmitter = pingparsing.PingTransmitter()
    transmitter.destination = host
    transmitter.count = 2
    transmitter.timeout = 2000
    return ping_parser.parse(transmitter.ping())


def main():
    print(ping("coroios.com").packet_loss_rate)
    print(ping("g1.com").packet_loss_rate)
    print(ping("google.com").packet_loss_rate)


if __name__ == "__main__":
    main()
